Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518798 - [F28 change] yaz should not require tcp_wrappers
Summary: [F28 change] yaz should not require tcp_wrappers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yaz
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Grazioli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:02 UTC by Jakub Jelen
Modified: 2018-06-28 08:10 UTC (History)
2 users (show)

Fixed In Version: yaz-5.14.11-11.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 15:51:09 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 15:02:48 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 1 Fedora End Of Life 2018-02-20 15:36:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jakub Jelen 2018-03-19 11:49:18 UTC
The package does not build in Fedora 28. Please, apply the following PR to avoid building against tcp_wrappers:

https://src.fedoraproject.org/rpms/yaz/pull-request/1

Comment 3 Fedora Update System 2018-03-27 06:47:22 UTC
yaz-5.14.11-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-694893ed80

Comment 4 Fedora Update System 2018-03-27 17:52:55 UTC
yaz-5.14.11-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-694893ed80

Comment 5 Guido Grazioli 2018-04-03 07:39:46 UTC
I see the PR merged already, do you still need some info from me?

Comment 6 Jakub Jelen 2018-04-03 08:29:48 UTC
Not anymore. Till already took a care of that so now we can wait for the bugzilla to close itself after the build will be pushed to stable.

Comment 7 Fedora Update System 2018-04-04 15:51:09 UTC
yaz-5.14.11-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.